[dm-crypt] luks passphrase stopped working after cryptsetup+libgcrypt update on arch linux

Milan Broz gmazyland at gmail.com
Fri Jan 17 12:14:35 CET 2014


On 01/17/2014 10:48 AM, Fabrice Bongartz wrote:
> Hi,
> 
> After upgrading cryptsetup from 1.6.3-1 to 1.6.3-2 and libgcrypt from
> 1.5.3-1 to 1.6.0-1 (those are the version number from the arch linux 
> package manager), I am unable to open my luks encrypted partitions
> using the corrent passphrase.
> 
> As can be seen here https://bbs.archlinux.org/viewtopic.php?id=175737
> I'm not the only Arch linux user who has encountered this problem.

Hi,
please use you distro bugzilla and once distro maintainer has enough info,
create upstream issue
Distro specific bug is https://bugs.archlinux.org/task/38550

I bet it is another problem in libgcrypt 1.6
(the first one is http://code.google.com/p/cryptsetup/issues/detail?id=199 where
I already sent fix directly to gcrypt upstream)

Please try to downgrade libgcrypt, rebuild cryptsetup 1.6.3 and try again.
(There is no whirlpool specific code in cryptsetup. I will check gcrypt
how gcrypt use whirlpool later though...)

I plan to release 1.6.4 soon with disabling slow pbkdf2 from gcrypt, so if there
is another issue it should be fixed as well.

Thanks,
Milan

p.s.
As upstream maintainer, I have really no time to fix distro specific issues
I personally use Debian/Gentoo/Fedora/CentoOS where I can do some distro specific things
but I cannot simply test everything. Distro maintainer understand distro details,
so he can send me all relevant debug logs etc.

Just one warning: if anyone said he tested "cryptsetup-nuke-keys (AUR) 1.6.3-2" or so
these report will go directly to /dev/null.
Please always use upstream code when reporting to upstream. Thanks.


More information about the dm-crypt mailing list